import arborIcon from '@assets/icons/arbor.svg?raw';
import calendarIcon from '@assets/icons/calendar.svg?raw';
import howlIcon from '@assets/icons/howl.svg?raw';
import lettersIcon from '@assets/icons/letters.svg?raw';
import marketIcon from '@assets/icons/market.svg?raw';
import oracleIcon from '@assets/icons/oracle.svg?raw';
import poolIcon from '@assets/icons/pool.svg?raw';
import settingsIcon from '@assets/icons/settings.svg?raw';
import walletIcon from '@assets/icons/wallet.svg?raw';
import { addIcon } from 'iconify-icon';

addIcon('arx:letters', {
  width: 52,
  height: 46,
  body: lettersIcon,
});

addIcon('arx:howl', {
  width: 48,
  height: 55,
  body: howlIcon,
});

addIcon('arx:calendar', {
  width: 51,
  height: 51,
  body: calendarIcon,
});

addIcon('arx:arbor', {
  width: 40,
  height: 52,
  body: arborIcon,
});

addIcon('arx:market', {
  width: 48,
  height: 44,
  body: marketIcon,
});

addIcon('arx:wallet', {
  width: 50,
  height: 49,
  body: walletIcon,
});

addIcon('arx:pool', {
  width: 49,
  height: 45,
  body: poolIcon,
});

addIcon('arx:oracle', {
  width: 49,
  height: 44,
  body: oracleIcon,
});

addIcon('arx:settings', {
  width: 42,
  height: 44,
  body: settingsIcon,
});
